Subject: Re: bug#77495: [PATCH] Include additional version metadata during Windows install

From: Corwin Brust <[email-masked]>
Date: Thu, 3 Apr 2025 11:29:28 -0500

On Thu, Apr 3, 2025 at 11:05 AM Eli Zaretskii <[email-masked]> wrote:
>
> > Date: Thu, 03 Apr 2025 15:11:17 +0000
> > From: Sean Bright <[email-masked]>
> >
> >
> > the NSIS installer does not create the appropriate values resulting in
> > the current version being reported as 'Unknown.' The attached patch
> > fixes that and additionally sets the Publisher value to "Free Software
> > Foundation, Inc."
> >
> > This prevents winget from reinstalling the same version during every
> > invocation of 'winget update' but it also improves the appearance of
> > GNU Emacs in the 'Add or Remove Programs' interface[1].
> >

Looks great.  I am traveling with only my workplace's equipment with;
I cannot immediately install this. I'll do this weekend if nobody has
already.   Thank you very much, Sean!
> > Kind regards,
> > Sean
> >
> > 1. https://seanbright.com/emacs-win-metadata.png
>
> Adding Corwin, who prepares the Windows binaries, to the discussion.
>